Loading...
Searching...
No Matches
Halide::Internal::Autoscheduler::SearchSpaceOptions Struct Reference

`#include <SearchSpaceOptions.h>`

## Public Member Functions

| SearchSpaceOptions (const std::string &bit_str)
bool | compute_root () const
bool | compute_root_only () const
bool | compute_inline () const
bool | compute_inline_only () const
bool | compute_at_block () const
bool | compute_at_block_only () const
bool | compute_at_thread () const
bool | compute_at_thread_only () const

## Public Attributes

std::bitset< 4 > | options

## Static Public Attributes

static constexpr size_t | option_compute_root = 0
static constexpr size_t | option_compute_inline = 1
static constexpr size_t | option_compute_at_block = 2
static constexpr size_t | option_compute_at_thread = 3

## Detailed Description

Definition at line 12 of file SearchSpaceOptions.h.

## Constructor & Destructor Documentation

## SearchSpaceOptions()

Halide::Internal::Autoscheduler::SearchSpaceOptions::SearchSpaceOptions | ( | const std::string & | bit_str | ) |

inline explicit

Definition at line 20 of file SearchSpaceOptions.h.

References compute_at_block(), compute_at_thread(), compute_inline(), compute_root(), and options.

## Member Function Documentation

## compute_root()

bool Halide::Internal::Autoscheduler::SearchSpaceOptions::compute_root | ( |  | ) | const

inline

Definition at line 30 of file SearchSpaceOptions.h.

References compute_at_block(), compute_at_thread(), option_compute_root, and options.

Referenced by compute_root_only(), and SearchSpaceOptions().

## compute_root_only()

bool Halide::Internal::Autoscheduler::SearchSpaceOptions::compute_root_only | ( |  | ) | const

inline

Definition at line 34 of file SearchSpaceOptions.h.

References compute_root(), and options.

## compute_inline()

bool Halide::Internal::Autoscheduler::SearchSpaceOptions::compute_inline | ( |  | ) | const

inline

Definition at line 38 of file SearchSpaceOptions.h.

References option_compute_inline, and options.

Referenced by compute_inline_only(), and SearchSpaceOptions().

## compute_inline_only()

bool Halide::Internal::Autoscheduler::SearchSpaceOptions::compute_inline_only | ( |  | ) | const

inline

Definition at line 42 of file SearchSpaceOptions.h.

References compute_inline(), and options.

## compute_at_block()

bool Halide::Internal::Autoscheduler::SearchSpaceOptions::compute_at_block | ( |  | ) | const

inline

Definition at line 46 of file SearchSpaceOptions.h.

References option_compute_at_block, and options.

Referenced by compute_at_block_only(), compute_root(), and SearchSpaceOptions().

## compute_at_block_only()

bool Halide::Internal::Autoscheduler::SearchSpaceOptions::compute_at_block_only | ( |  | ) | const

inline

Definition at line 50 of file SearchSpaceOptions.h.

References compute_at_block(), and options.

## compute_at_thread()

bool Halide::Internal::Autoscheduler::SearchSpaceOptions::compute_at_thread | ( |  | ) | const

inline

Definition at line 54 of file SearchSpaceOptions.h.

References option_compute_at_thread, and options.

Referenced by compute_at_thread_only(), compute_root(), and SearchSpaceOptions().

## compute_at_thread_only()

bool Halide::Internal::Autoscheduler::SearchSpaceOptions::compute_at_thread_only | ( |  | ) | const

inline

Definition at line 58 of file SearchSpaceOptions.h.

References compute_at_thread(), and options.

## Member Data Documentation

## option_compute_root

size_t Halide::Internal::Autoscheduler::SearchSpaceOptions::option_compute_root = 0

static constexpr

Definition at line 13 of file SearchSpaceOptions.h.

Referenced by compute_root().

## option_compute_inline

size_t Halide::Internal::Autoscheduler::SearchSpaceOptions::option_compute_inline = 1

static constexpr

Definition at line 14 of file SearchSpaceOptions.h.

Referenced by compute_inline().

## option_compute_at_block

size_t Halide::Internal::Autoscheduler::SearchSpaceOptions::option_compute_at_block = 2

static constexpr

Definition at line 15 of file SearchSpaceOptions.h.

Referenced by compute_at_block().

## option_compute_at_thread

size_t Halide::Internal::Autoscheduler::SearchSpaceOptions::option_compute_at_thread = 3

static constexpr

Definition at line 16 of file SearchSpaceOptions.h.

Referenced by compute_at_thread().

## options

std::bitset<4> Halide::Internal::Autoscheduler::SearchSpaceOptions::options

Definition at line 18 of file SearchSpaceOptions.h.

Referenced by compute_at_block(), compute_at_block_only(), compute_at_thread(), compute_at_thread_only(), compute_inline(), compute_inline_only(), compute_root(), compute_root_only(), and SearchSpaceOptions().

The documentation for this struct was generated from the following file:

- src/autoschedulers/anderson2021/SearchSpaceOptions.h